#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../lib
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### resourcescalixshared (static) #############

set( KDE3_DCOPIDL_EXECUTABLE ${KDE3_DCOPIDLNG_EXECUTABLE} )

tde_add_library( resourcescalixshared STATIC_PIC AUTOMOC
  SOURCES
    resourcescalixbase.cpp kmailconnection.cpp scalixbase.cpp
    subresource.cpp kmailconnection.skel
    ${CMAKE_SOURCE_DIR}/kmail/kmailicalIface.stub
)
